diff -urN linux.05/fs/ext3/file.c linux.10/fs/ext3/file.c
--- linux.05/fs/ext3/file.c	Mon Nov 26 23:43:08 2001
+++ linux.10/fs/ext3/file.c	Wed Jan 23 01:20:03 2002
@@ -78,6 +78,9 @@
 
 struct file_operations ext3_file_operations = {
 	llseek:		generic_file_llseek,	/* BKL held */
+	kvec_read:	generic_file_kvec_read,
+	kvec_write:	generic_file_kvec_write,	/* FIXME: attributes */
+	new_read:	generic_file_new_read,
 	read:		generic_file_read,	/* BKL not held.  Don't need */
 	write:		ext3_file_write,	/* BKL not held.  Don't need */
 	ioctl:		ext3_ioctl,		/* BKL held */
@@ -85,6 +88,8 @@
 	open:		ext3_open_file,		/* BKL not held.  Don't need */
 	release:	ext3_release_file,	/* BKL not held.  Don't need */
 	fsync:		ext3_sync_file,		/* BKL held */
+	aio_read:	generic_file_aio_read,
+	aio_write:	generic_file_aio_write,
 };
 
 struct inode_operations ext3_file_inode_operations = {
